Bug 736774 - vim template.spec does not match Fedora packaging guidelines
Summary: vim template.spec does not match Fedora packaging guidelines
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 16:16 UTC by Andy Grimm
Modified: 2016-11-08 03:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-07 14:50:33 UTC


Attachments (Terms of Use)
Diff between the vim template.spec and that produced by rpmdev-newspec (177 bytes, patch)
2012-01-31 10:02 UTC, Mary Ellen Foster
no flags Details | Diff

Description Andy Grimm 2011-09-08 16:16:45 UTC
It would be nice if the template spec file included in vim-common were closer to the current Fedora Packaging guidelines.  Some issues with the current template:

1) It defines a BuildRoot using mktemp

2) It contains a %clean section

3) It has a %defattr line in the %files section

I understand that these are all necessary for older distros (such a RHEL 5), but I think F16 vim should have a template that matches F16 guidelines.

Comment 1 Mary Ellen Foster 2012-01-31 10:02:38 UTC
Created attachment 558584 [details]
Diff between the vim template.spec and that produced by rpmdev-newspec

Agreed: I've had to do a lot of clean-up on my recent packages because I inadvertently ended up using the template spec.

The differences between that template and the template created by "rpmdev-newspec" are actually quite minimal. The sample template uses tabs while the rpmdev one uses spaces, but aside from that, the only differences are included in the attached diff.

Maybe the vim build process could be changed to use rpmdev-newspec instead of including the template spec (currently %Source14)?

Comment 2 Karsten Hopp 2012-02-07 14:50:33 UTC
I don't want to add a dependency on rpmdevtools just for the spec file template. I've updated the template instead.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3768958


Note You need to log in before you can comment on or make changes to this bug.